Bug 1477647 - [RFE] Upgrades shall support consuming local mirrors
[RFE] Upgrades shall support consuming local mirrors
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo (Show other bugs)
13.0 (Queens)
Unspecified Unspecified
high Severity medium
: Upstream M3
: ---
Assigned To: mathieu bultel
Marius Cornea
: FutureFeature, Triaged
Depends On: 1465470
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-02 10:26 EDT by Yolanda Robla
Modified: 2017-11-12 04:16 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yolanda Robla 2017-08-02 10:26:32 EDT
In the case of telcos, where there is a tight maintenance window and network constraints, it is not possible to perform upgrades using the CDN.
The approach that we are following, is to create local mirrors, and point the undercloud/overcloud to use those.
We are using the following article as a base: https://access.redhat.com/articles/2377701

However, this is still a manual process. Repo creation, undercloud configuration to point to local mirror, still needs to be done manually. Also we miss to document the UpgradeInitCommand, needed to go through major upgrades.

The deploy/upgrade process shall support enabling local mirrors, and automate it as much as possible.
Comment 1 Mike Orazi 2017-08-25 11:20:12 EDT
I think we should limit the scope on this to the original bug title.  Given the existence of a local mirror, we should provide hooks to point to that content in preference to the CDN.

I explicitly think we should not automate the repo mirroring itself.
Comment 2 mathieu bultel 2017-08-25 11:32:27 EDT
Marius,
Are you easily able to validate if the current workflow of the upgrade can consume a local repo on the undercloud ? (configure the upgradeinitcommand to point the yum repo to an undercloud local mirror ?
Comment 3 Marius Cornea 2017-08-25 12:57:11 EDT
(In reply to mathieu bultel from comment #2)
> Marius,
> Are you easily able to validate if the current workflow of the upgrade can
> consume a local repo on the undercloud ? (configure the upgradeinitcommand
> to point the yum repo to an undercloud local mirror ?

I'll give it a try next week and get back with the instructions to this BZ.

Note You need to log in before you can comment on or make changes to this bug.